[Forgot Password]
Login  Register Subscribe

23631

 
 

115038

 
 

96174

 
 

909

 
 

78077

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

MDVSA-2009:193 -- Mandriva ruby

ID: oval:org.secpod.oval:def:300738Date: (C)2012-01-07   (M)2017-10-04
Class: PATCHFamily: unix




ext/openssl/ossl_ocsp.c in Ruby 1.8 and 1.9 does not properly check the return value from the OCSP_basic_verify function, which might allow remote attackers to successfully present an invalid X.509 certificate, possibly involving a revoked certificate. This update corrects the problem, including for older ruby versions.

Platform:
Mandriva Linux 2009.0
Mandriva Linux 2009.1
Mandriva Linux 2008.1
Product:
ruby
Reference:
MDVSA-2009:193
CVE-2009-0642
CVE    1
CVE-2009-0642
CPE    2
cpe:/o:mandriva:linux:2008.1
cpe:/o:mandriva:linux:2009.0

© 2013 SecPod Technologies